matrix:
  platform:
    - "debian11"
    - "ubuntu2204"
  bazel:
    - "7.x"
    - "8.x"
tasks:
  verify_targets:
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--cxxopt=-std=c++17'
      - '--host_cxxopt=-std=c++17'
    build_targets:
      - '@open-inference-protocol//...'
